import { EventEmitter } from '../../stencil-public-runtime';
export declare class Checkbox {
  /**
   * The unique name of the checkbox
   */
  name: string;
  /**
   * The visual label for the checkbox
   */
  label: string;
  /**
   * Whether the checkbox is selected
   */
  checked: boolean;
  /**
   * Remove all interactivity from the checkbox
   */
  disabled: boolean;
  /**
   * If the value is required or optional
   */
  required: boolean;
  /**
   * The value of the checkbox
   */
  value: string;
  /**
   * The state of the checkbox.
   * `type CheckboxState = 'unchecked' | 'checked'
   */
  /**
   * An event is emitted with the new `CheckboxState`
   */
  change: EventEmitter<MouseEvent>;
  /**
   * Internal checked state. This helps us more accurately present the visuals
   */
  internalChecked: boolean;
  componentWillLoad(): void;
  checkedPropChanged(newValue: boolean, _: boolean): void;
  private handleStateChange;
  render(): any;
}
