import { IconName, IconSize } from './types';
export declare class Icon {
  /**
   * The raw SVG markup for the icon, stored as internal state once loaded
   */
  private svg?;
  /**
   * Semantic name from our fixed list of possible icons
   */
  name: IconName;
  /**
   * Which size preset the icon uses
   */
  size?: IconSize;
  /**
   * The color of the icon. This value should be the name of one of our color palette tokens
   */
  color?: string;
  connectedCallback(): void;
  loadIcon(): Promise<void>;
  render(): any;
}
